Skip to main content

Capture Account Details

POST 

/account-captures

Tokenizes payment details by capturing account details.

Request

Header Parameters

    idempotency-key string

    Idempotency Key for the request

    Example: 31f9952c-0058-458b-8244-4ae110ef1556

Body

required

An object containing payment method details

    processingEntityId uuidrequired

    Processing entityId provided by Nuvei.

    Example: 80aef199-b89a-4d59-ba0c-f2cd3c25d5cd
    merchantReference Merchant Reference for Payment Token (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: MREF_6f06168d-ff6e-448b-8401-30051eb6b1af
    currency string

    Possible values: >= 3 characters and <= 3 characters

    paymentOption

    object

    required

    alternativePaymentMethod

    object

    required

    name stringrequired

    Possible values: non-empty and <= 50 characters

    Example: ACH
    data object
    Example: {"accountNumber":"11345739548759","routingNumber":"847937857"}

    buyerDetails

    object

    buyerId string

    The buyerId is required if buyerToken is provided as a value in the store parameter.

    Possible values: <= 255 characters

    firstName string

    Possible values: <= 30 characters

    middleName string

    Possible values: <= 40 characters

    lastName string

    Possible values: <= 40 characters

    companyName string

    Possible values: <= 100 characters

    locale string

    Possible values: <= 5 characters

    dateOfBirth date
    email string

    Possible values: <= 100 characters

    phone string

    Possible values: <= 18 characters

    phone2 string

    Possible values: <= 18 characters

    workPhone string

    Possible values: <= 18 characters

    identificationType Identification Type Code (string)

    Possible values: [DateOfBirth, CustomerId, NationalId, PassportNumber, DriverLicense, TaxId, CompanyRegistrationNumber, ProxyId, SocialSecurityNumber, AlienRegistrationNumber, LawEnforcementId, MilitaryId, TravelId, Email, PhoneNumber]

    identificationValue Identification Value (string)

    Possible values: <= 100 characters

    cardHolderEntityType Cardholder Entity Type (string)

    Possible values: [Business, Individual]

    nationalIdentificationNumber string

    Possible values: <= 25 characters

    accountReference BuyerAccountReference (string)

    Possible values: <= 34 characters

    billingAddress

    object

    address string

    Possible values: <= 60 characters

    addressLine2 string

    Possible values: <= 60 characters

    addressLine3 string

    Possible values: <= 60 characters

    street string

    Possible values: <= 100 characters

    state string

    Possible values: <= 6 characters

    zip string

    Possible values: <= 10 characters

    city string

    Possible values: <= 30 characters

    countryCode stringrequired

    2 digits ISO country code

    Possible values: >= 2 characters and <= 2 characters

    phone string

    Possible values: <= 18 characters

    addressMatch boolean

    shippingAddress

    object

    sameAsBilling boolean
    Default value: false
    address string

    Possible values: <= 60 characters

    addressLine2 string

    Possible values: <= 60 characters

    addressLine3 string

    Possible values: <= 60 characters

    streetNumber string

    Possible values: <= 20 characters

    state string

    Possible values: <= 6 characters

    zip string

    Possible values: <= 10 characters

    city string

    Possible values: <= 30 characters

    countryCode string

    Possible values: >= 2 characters and <= 2 characters

    firstName string

    Possible values: <= 30 characters

    lastName string

    Possible values: <= 40 characters

    phone string

    Possible values: <= 18 characters

    phone2 string

    Possible values: <= 18 characters

    deviceDetails

    object

    deviceName string
    deviceOS string
    deviceType string

    Supported device types include: DESKTOP, SMARTPHONE, TABLET, TV, UNKNOWN (if device type cannot be recognized).

    ipAddress string

    The customer's IP address.

    browser

    object

    acceptHeader string

    Exact content of the HTTP accept headers as sent to the 3DS Requestor from the cardholder's browser. If the total length of the accept header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion.

    colorDepth integer

    Value representing the bit depth of the color palette for displaying images, in bits per pixel. Obtained from cardholder browser using the screen.colorDepth property. Values: 1, 4, 8, 15, 16, 24, 32, 48

    javaEnabled boolean

    Represents the ability of the cardholder browser to execute Java. REQUIRED when javaScriptEnabled is TRUE. Value is returned from the navigator.javaEnabled property. Values: TRUE, FALSE

    javaScriptEnabled boolean

    Determines whether the browser is JavaScript enabled (from navigator.javaScriptEnabled property). Values: TRUE, FALSE

    language string

    Value representing the browser language as defined in IETF BCP47. Returned from navigator.language property.

    screenHeight integer

    Total height of the cardholder's screen in pixels. Value is returned from the screen.height property.

    screenWidth integer

    Total width of the cardholder's screen in pixels. Value is returned from the screen.width property.

    timeZone string

    Time difference between UTC time and the cardholder browser local time, in minutes. Values: Value is returned from the getTimezoneOffset() method.

    userAgent string

    Exact content of the HTTP user-agent header. Values: If the total length of the user-agent header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion.

    msisdn string

    Device MSISDN

    iccId string

    Device ICCID

    imei string

    Device IMEI

    devicePossessionStatus DevicePossessionStatus (string)

    Indication if the device is lost or stolen

    Possible values: [lost, stolen]

    custom object
    Example: {"hello":"world"}

    urlDetails

    object

    webhookUrl string

    The URL to which notifications for outcome of the financial transactions will be sent

    successUrl string

    The URL to which the end user will be redirected in case of a successful transaction with Alternative Payment Method

    failureUrl string

    The URL to which the end user will be redirected in case of an unsuccessful transaction with Alternative Payment Method

    pendingUrl string

    The URL to which the end user will be redirected in case of a pending transaction with Alternative Payment Method

    returnToAppUrl string

    The URL to which the end user is redirected in case of a successful transaction with an APM that shuold open in an external browser.

Responses

Created

Schema

    accountCaptureId string
    redirectUrl string

    Possible values: <= 2000 characters

    result

    object

    required

    status stringrequired

    Possible values: [redirect, error, pending]

    errors

    object

    code string

    If an error occurred on the request side, an error code is returned in this parameter.

    Possible values: <= 11 characters

    Example: 7000.1000
    reason string

    If an error occurred on the request side, then an error reason is returned in this parameter.

    Possible values: <= 400 characters

    Example: Unexpected error
    reference string

    Internal reference for troubleshooting

    Possible values: <= 400 characters

Loading...